Bug 1819770 - [4.4] openshift-controller-manager-operator/openshift-controller-manager endpoints are down on ipv6 cluster
Summary: [4.4] openshift-controller-manager-operator/openshift-controller-manager endp...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-controller-manager
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 4.4.z
Assignee: Ricardo Maraschini
QA Contact: wewang
URL:
Whiteboard: devex
Depends On: 1813233
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-01 13:56 UTC by Adam Kaplan
Modified: 2020-06-29 15:34 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Metrics are not binding on ipv6 ip address Consequence: Metrics can't be scraped Fix: Binding metrics on ipv6 ip address Result: Metrics can be scraped correctly.
Clone Of: 1813233
Environment:
Last Closed: 2020-06-29 15:33:54 UTC
Target Upstream Version:


Attachments (Terms of Use)
endpoint of ocm (165.98 KB, image/png)
2020-06-23 06:39 UTC, wewang
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift openshift-controller-manager pull 106 None closed Bug 1819770: Removing yum commands from Dockerfile 2020-07-01 04:15:01 UTC
Github openshift openshift-controller-manager pull 88 None closed Bug 1819770: Bumping openshift/library-go 2020-07-01 04:15:00 UTC
Red Hat Product Errata RHBA-2020:2713 None None None 2020-06-29 15:34:17 UTC

Comment 3 Ricardo Maraschini 2020-04-30 07:35:14 UTC
We do have a PR[1] to fix this but unfortunately I can't link it with this ticket as this one depends on another BZ[2](this one is awaiting for QA as we don't have ipv6 clusters with 4.5 yet)


[1] https://github.com/openshift/openshift-controller-manager/pull/88
[2] https://bugzilla.redhat.com/show_bug.cgi?id=1813233

Comment 4 Ricardo Maraschini 2020-05-12 08:35:32 UTC
Another PR needed to solve this, adding this comment for future reference: https://github.com/openshift/release/pull/9029

Comment 5 Ricardo Maraschini 2020-05-29 08:08:54 UTC
We can only get this sorted out once the fix[1] has been VERIFIED on 4.5. Moving this to the next sprint.


[1] https://bugzilla.redhat.com/show_bug.cgi?id=1813233

Comment 11 wewang 2020-06-23 06:39:11 UTC
Created attachment 1698394 [details]
endpoint of ocm

Comment 14 errata-xmlrpc 2020-06-29 15:33:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2713


Note You need to log in before you can comment on or make changes to this bug.